
D4Science Infrastructure - Incident #12956

Workspace move operation, workspace explorer lists folders as empty while browsing

Nov 29, 2018 10:12 AM - Massimiliano Assante

Status: Rejected Start date: Nov 29, 2018

Priority: High Due date: Dec 07, 2018

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube  4.13

  

Infrastructure: Production   

Description

When performing a move and browsing using the workspace explorer it sometimes says the folder is empty (but its not). See also

screenshot attached

Exeception reported below:

ListParents By Item id 8174f1bd-06d1-438b-9725-62451ad40144 name=Parthenos

->MySpecialFolders

->Workspace

2018-11-29 09:09:49,695 INFO  server.ItemBuilder [ajp-bio-8009-exec-10,getItem:74] %[PORTAL] 14563

9699 [ajp-bio-8009-exec-10] INFO  org.gcube.portlets.widgets.wsexplorer.server.ItemBuilder  - Is s

hared folder: d4science.research-infrastructures.eu-gCubeApps-Parthenos

2018-11-29 09:09:49,726 INFO  server.WorkspaceExplorerServiceImpl [ajp-bio-8009-exec-10,getFolder:

111] %[PORTAL] 145639730 [ajp-bio-8009-exec-10] INFO  org.gcube.portlets.widgets.wsexplorer.server

.WorkspaceExplorerServiceImpl  - Returning children size: 11

09:09:49,744 WARN  [ajp-bio-8009-exec-1][SecurityPortletContainerWrapper:630] Reject process actio

n for https://dev.d4science.org/support on 49

2018-11-29 09:09:51,384 ERROR socialmail.PeriodicTask [pool-68-thread-1,run:100] %09:09:51,384 ERR

OR [pool-68-thread-1][PeriodicTask:100] Exception during check email account, exiting ans stopping

 thread... 

2018-11-29 09:09:53,353 INFO  server.WorkspaceExplorerServiceImpl [ajp-bio-8009-exec-11,getReadabl

eSizeByItemId:400] %[PORTAL] 145643357 [ajp-bio-8009-exec-11] INFO  org.gcube.portlets.widgets.wse

xplorer.server.WorkspaceExplorerServiceImpl  - getFormattedSize ByItemId 4137111b-ad78-487c-ac50-8

9d0dc907957

java.lang.ClassCastException: org.gcube.common.storagehub.model.items.FolderItem cannot be cast to

 org.gcube.common.storagehub.model.items.SharedFolder

    at org.gcube.portlets.widgets.wsexplorer.server.stohub.StorageHubServiceUtil.getUserACLForFold

erId(StorageHubServiceUtil.java:117)

    at org.gcube.portlets.widgets.wsexplorer.server.WorkspaceExplorerServiceImpl.getUserACLForFold

erId(WorkspaceExplorerServiceImpl.java:378)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter
Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor776.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy932.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:190)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:748)

ListParents By Item id 4137111b-ad78-487c-ac50-89d0dc907957 name=Templates and Logos

->d4science.research-infrastructures.eu-gCubeApps-Parthenos

->MySpecialFolders

->Workspace

History

#2 - Nov 29, 2018 12:24 PM - Giancarlo Panichi

Similar error on RAKIP_portal:

2018-11-29 06:16:36,108 INFO  o.g.p.w.w.s.WorkspaceExplorerServiceImpl [ajp-bio-8009-exec-3,getReadableSizeByI

temId:400][PORTAL] 138000497 [ajp-bio-8009-exec-3] INFO  org.gcube.portlets.widgets.wsexplorer.server.Workspac

eExplorerServiceImpl - getFormattedSize ByItemId 16263259-8efd-4b62-8dc2-711dce288165

2018-11-29 06:16:36,442 INFO  o.g.p.w.w.s.ItemBuilder [ajp-bio-8009-exec-4,getItem:74][PORTAL] 138000831 [ajp-

bio-8009-exec-4] INFO  org.gcube.portlets.widgets.wsexplorer.server.ItemBuilder - Is shared folder: d4science.

research-infrastructures.eu-D4Research-RAKIP_portal

ListParents By Item id 16263259-8efd-4b62-8dc2-711dce288165 name=RAKIP_portal

->MySpecialFolders

->Workspace

2018-11-29 06:16:36,516 INFO  o.g.p.w.w.s.WorkspaceExplorerServiceImpl [ajp-bio-8009-exec-4,getFolder:111][POR

TAL] 138000905 [ajp-bio-8009-exec-4] INFO  org.gcube.portlets.widgets.wsexplorer.server.WorkspaceExplorerServi

ceImpl - Returning children size: 9

2018-11-29 06:16:38,200 INFO  o.g.p.w.w.s.WorkspaceExplorerServiceImpl [ajp-bio-8009-exec-4,getReadableSizeByI

temId:400][PORTAL] 138002589 [ajp-bio-8009-exec-4] INFO  org.gcube.portlets.widgets.wsexplorer.server.Workspac
eExplorerServiceImpl - getFormattedSize ByItemId 86662c67-443c-4826-b8a0-0db04735be69

java.lang.ClassCastException: org.gcube.common.storagehub.model.items.FolderItem cannot be cast to org.gcube.c

ommon.storagehub.model.items.SharedFolder

        at org.gcube.portlets.widgets.wsexplorer.server.stohub.StorageHubServiceUtil.getUserACLForFolderId(Sto

rageHubServiceUtil.java:117)

        at org.gcube.portlets.widgets.wsexplorer.server.WorkspaceExplorerServiceImpl.getUserACLForFolderId(Wor

kspaceExplorerServiceImpl.java:378)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

#3 - Nov 29, 2018 12:51 PM - Francesco Mangiacrapa

- Status changed from New to Rejected

- % Done changed from 0 to 100

This behaviour is not an incident. During moving operation the Workspace Explorer widget shows only folders (not files) where the user can perform

moving by selecting one of them, then for me, only the user experience should be improved by changing the message at "No folder selectable".

Regarding the pasted exception I will check on it with @lucio.lelii@isti.cnr.it but it happening when getUserACLForFolderId is called (which is just

informative to the user) and it is not the cause of the issue.

Files

Screenshot 2018-11-29 at 10.11.33.png 66.5 KB Nov 29, 2018 Massimiliano Assante
